%define ttf2pt1ver	3.4.3

Name:		font-tools
Summary:	Some utilities for use by drakfont
Version:	0.1
Release:	%mkrel 15
License:	GPL & BSD
Group:		System/Configuration/Other
Source:		%{name}-%{version}.tar.bz2
Source1:	http://download.sourceforge.net/ttf2pt1/ttf2pt1-%{ttf2pt1ver}.tar.bz2
Url: 		http://www.linux-mandrake.com
Buildroot:	%_tmppath/%name-%version-%release-root
Requires:	t1utils, freetype-tools, groff
BuildRequires:	freetype-devel

%description
font-tools is used by drakfont and include:
- ttf2type1: convert .ttf to .pfb and .afm.
- tt2afm:    convert .ttf to .afm .
- pfm2afm:   convert .pfm to afm.

%prep
%setup -q -a 1

%build
# ttf2pt1 3.3.5 from main sources had IA-32 objects
make clean
perl -pi -e 's/ttf2pt1-3.3.5/ttf2pt1-%{ttf2pt1ver}/g' Makefile
make CC="gcc $RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT{%_sbindir,%_mandir/man1}

%makeinstall PREFIX=$RPM_BUILD_ROOT/usr
install -m 644 ttf2pt1-%{ttf2pt1ver}/ttf2pt1.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 ./ttf2pt1-%{ttf2pt1ver}/ttf2pt1 $RPM_BUILD_ROOT%_sbindir
install -m 644 type1inst-0.6.1/type1inst.man $RPM_BUILD_ROOT%{_mandir}/man1/type1inst.1

rm -f $RPM_BUILD_ROOT%{_sbindir}/t1asm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING README.ttf2pt1 COPYRIGHT.ttf2pt1
%{_sbindir}/*
%{_mandir}/man1/*

%changelog
* Mon Mar 08 2010 Texstar <texstar at gmail.com> 0.1-15pclos2010
- rebuild

* Wed Nov 01 2006 Texstar <texstar@houston.rr.com> 0.1-14pclos2007
- Build for PCLinuxOS 2007

